<%--
Look for the code that controls this form in the default.aspx.cs file! 
This file contains the HTML template. (Which you will also need to modify.)			
--%>
<%@ Page language="c#" Codebehind="default.aspx.cs" AutoEventWireup="false" Inherits="inventory_starter.Default" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
	<head>
		<title>Inventory Application</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<link href="style.css" type="text/css" rel="Stylesheet" title="default">
	</head>
	<body ms_positioning="GridLayout">
		<form id="Form1" method="post" runat="server">
			<h2>Inventory Application</h2>
			<%--
			There are several inputs near the top of the file so the user can control the form.			
			--%>
			<div>
				<h4>Show All Products</h4>
				<asp:button id="showAllButton" onclick="ShowAll" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Show Only Out of Stock Products</h4>
				<asp:button id="outOfStockButton" onclick="ShowOutOfStock" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Show Products With Stock Greater Than X</h4>
				<asp:placeholder runat="server" id="stockAtLeastError" visible="False">
					<strong>Error: Input must be an integer<br>
					</strong>
				</asp:placeholder>
				<asp:textbox id="stockAtLeastTextBox" runat="server"></asp:textbox>
				<asp:button id="stockAtLeastButton" onclick="ShowStockAtLeast" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Show Only Products Stocked in At Least Than X Warehouses</h4>
				<asp:placeholder runat="server" id="showByWarehouseError" visible="False">
					<strong>Error: Input must be an integer<br>
					</strong>
				</asp:placeholder>
				<asp:textbox id="showByWarehouseTextBox" runat="server"></asp:textbox>
				<asp:button id="showByWarehouseButton" onclick="ShowByWarehouses" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Show Only Products By Author or Artist</h4>
				<asp:placeholder runat="server" id="showByAuthorError" visible="False">
					<strong>Error: Input must be a string<br>
					</strong>
				</asp:placeholder>
				<asp:textbox id="showByAuthorTextBox" runat="server"></asp:textbox>
				<asp:button id="showByAuthorButton" onclick="ShowByAuthor" runat="server" text="Go"></asp:button>
			</div>
			<%--
			The repeater control provides an easy way to display sets of data.  You may find that the 
			DataList or DataGrid controls are intially easier to use, but they are much more restricting
			and quickly become impractical.
			--%>
			<asp:repeater runat="server" id="results">
				<headertemplate>
					<h2>Results:</h2>
					<table width="100%">
						<tr>
							<th>
								Type</th>
							<th>
								Product Name</th>
							<th>
								Price</th>
							<th>
								Discount</th>
							<th>
								Weight</th>
							<th>
								GTIN (UPC/ISBN)</th>
							<th>
								Total Stock</th>
							<th>
								Warehouses</th>
							<th>
								Details</th>
						</tr>
				</headertemplate>
				<itemtemplate>
					<tr>
						<td><%# /* ! */ %></td>
						<td><a href='product.aspx?product=<%# /* product id */ %>'><%# /* product name */ %></a></td>
						<td><%# /*! */ %></td>
						<td><%# /*! */ %></td>
						<td><%# /*! */ %></td>
						<td><%# /*! */ %></td>
						<td><%# /*! */ %></td>
						<td><%# /*! */ %></td>
						<td><a href='product.aspx?product=<%# /* product id */ %>'>[Details]</a></td>
					</tr>
				</itemtemplate>
				<footertemplate>
					</table>
				</footertemplate>
			</asp:repeater>
		</form>
	</body>
</html>
