using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace inventory_starter
{
	/// <summary>
	/// This form will take care of all our queries except book details
	/// and warehouse addresses.
	/// </summary>
	public class Default : System.Web.UI.Page
	{
		#region Web Form Designer generated code
		protected System.Web.UI.WebControls.Panel Panel5;
		protected System.Web.UI.WebControls.Panel Panel4;
		protected System.Web.UI.WebControls.Panel Panel2;
		protected System.Web.UI.WebControls.Panel Panel3;
		protected System.Web.UI.WebControls.Panel Panel1;
		protected System.Web.UI.WebControls.Repeater results;
		protected System.Web.UI.WebControls.Button showAllButton;
		protected System.Web.UI.WebControls.Button outOfStockButton;
		protected System.Web.UI.WebControls.PlaceHolder stockAtLeastError;
		protected System.Web.UI.WebControls.TextBox stockAtLeastTextBox;
		protected System.Web.UI.WebControls.Button stockAtLeastButton;
		protected System.Web.UI.WebControls.PlaceHolder showByWarehouseError;
		protected System.Web.UI.WebControls.TextBox showByWarehouseTextBox;
		protected System.Web.UI.WebControls.Button showByWarehouseButton;
		protected System.Web.UI.WebControls.PlaceHolder showByAuthorError;
		protected System.Web.UI.WebControls.TextBox showByAuthorTextBox;
		protected System.Web.UI.WebControls.Button showByAuthorButton;
		#endregion


		/// <summary>
		/// Called when page initially loads 
		/// </summary>
		private void Page_Load(object sender, System.EventArgs e)
		{
			/* ... maybe set up your database connection or something ... */

			// set all error messages to invisible, if there is an error they will be reset
			this.showByAuthorError.Visible = false;
			this.showByWarehouseError.Visible = false;
			this.stockAtLeastError.Visible = false;

			// If the page is being requested for the first time, show all 
			if(!Page.IsPostBack)
			{
				ShowAll(null, null);
			}
		}

		/// <summary>
		/// Called before the page is rendered
		/// </summary>
		private void Page_PreRender(object sender, System.EventArgs e)
		{
			// When the page is databound, then all 'templates' are filled out and its safe to
			// clean up the business logic
			DataBind();

			/* ... maybe do some cleanup work here ... */
		}


		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
			this.PreRender += new System.EventHandler(this.Page_PreRender);

		}
		#endregion

		/// <summary>
		/// Show all products 
		/// </summary>
		protected void ShowAll(object sender, System.EventArgs e)
		{
			/* !!! */
		}

		/// <summary>
		/// Show all products that are out of stock
		/// </summary>
		protected void ShowOutOfStock(object sender, System.EventArgs e)
		{
			/* !!! */
		}

		/// <summary>
		/// Show all products that have at least x in stock
		/// </summary>
		protected void ShowStockAtLeast(object sender, System.EventArgs e)
		{	
			int minStock = 0;
			// validate user input
			try 
			{
				minStock = Int32.Parse(TextBox1.Text);
			} 
			catch (FormatException )
			{
				// user input is invalid, return
				this.stockAtLeastError.Visible = true;
				return;
			}

			/* !!! */
		}

		/// <summary>
		/// Show all products stocked in more than x warehouses
		/// </summary>
		protected void ShowByWarehouses(object sender, System.EventArgs e)
		{
			int minWarehouses = 0;
			// validate user input
			try 
			{
				minWarehouses = Int32.Parse(Textbox2.Text);
			} 
			catch (FormatException )
			{
				// user input is invalid, return
				this.showByWarehouseError.Visible = true;
				return;
			}

			/* !!! */
		}

		/// <summary>
		/// Show all products by this author or artist
		/// </summary>
		protected void ShowByAuthor(object sender, System.EventArgs e)
		{
			// escape all quotes to prevent SQL injection attack!
			string authorname = Textbox3.Text.Replace("'","''");
			// validate user input
			if (authorname == "")
			{
				// user input is invalid, return
				this.showByAuthorError.Visible = true;
				return;
			}

			/* !!! */
		}

	}

}
